' Propeller BOE Transmitter.spin  

OBJ

  system  :  "Propeller Board of Education"      ' System configuration          
  xb      :  "XBee_Object"                       ' XB wireless communication
  pst     :  "Parallax Serial Terminal"          ' Parallax terminal display
  
DAT
                                 
Menu
  byte    pst#CS
  byte    "================================", pst#NL
  byte    " Propeller Boe-Bot Audio Player ", pst#NL
  byte    "================================", pst#NL
  byte    pst#NL
  byte    "[1] Crazy Train                 ", pst#NL
  byte    "[2] Levels                      ", pst#NL
  byte    "[3] Somebody I Used to Know     ", pst#NL
  byte    "[4] Don't Stop                  ", pst#NL
  byte    "[5] I Gotta Feeling             ", pst#NL
  byte    pst#NL   
  byte    "[X] Stop playback               ", pst#NL
  byte    "[S] Stop robot                  ", pst#NL
  byte    "[R] Start robot                 ", pst#NL, 0
     

CON
               
  XB_DI  = 3, XB_DO = 4                          ' XBee I/O pin connections

PUB Go                                           ''Code starts - top object top method

  system.Clock(80_000_000)                       ' Set system clock to 80 MHz

  pst.Start(115_200)                             ' start terminal (not required for pstp)
  pst.Str(@Menu)                                 ' Display menu in DAT block

  xb.Start(XB_DO, XB_DI, 0, 9_600)               ' Start XBee object

  repeat                                         ' Main loop
    if pst.RxCount > 0                           ' If key pressed
      xb.Tx(pst.CharIn)                          ' Send the value
      pst.Str(@Menu)                             ' Reprint menu

      